org.apache.geode.modules.session.catalina

## Class AbstractCacheLifecycleListener

- java.lang.Object
- - org.apache.geode.modules.session.catalina.AbstractCacheLifecycleListener

- All Implemented Interfaces:
    org.apache.catalina.LifecycleListener
  Direct Known Subclasses:
    ClientServerCacheLifecycleListener, PeerToPeerCacheLifecycleListener

      public abstract class AbstractCacheLifecycleListener
      extends java.lang.Object
      implements org.apache.catalina.LifecycleListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AbstractCache` | `cache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractCacheLifecycleListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getCriticalHeapPercentage()`
    `float` | `getEvictionHeapPercentage()`
    `boolean` | `getRebalance()`
    `void` | `lifecycleEvent(org.apache.catalina.LifecycleEvent le)`
    `void` | `setCriticalHeapPercentage(java.lang.String criticalHeapPercentage)`
    `void` | `setEvictionHeapPercentage(java.lang.String evictionHeapPercentage)`
    `void` | `setProperty(java.lang.String name, java.lang.String value)` This is called by Tomcat to set properties on the Listener.
    `void` | `setRebalance(boolean rebalance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cache

          protected AbstractCache cache

  - ### Constructor Detail

    - #### AbstractCacheLifecycleListener

          public AbstractCacheLifecycleListener()

  - ### Method Detail

    - #### lifecycleEvent

          public void lifecycleEvent(org.apache.catalina.LifecycleEvent le)

      Specified by:
        `lifecycleEvent` in interface `org.apache.catalina.LifecycleListener`

    - #### setProperty

          public void setProperty(java.lang.String name,
                                  java.lang.String value)

      This is called by Tomcat to set properties on the Listener.

    - #### getEvictionHeapPercentage

          public float getEvictionHeapPercentage()

    - #### setEvictionHeapPercentage

          public void setEvictionHeapPercentage(java.lang.String evictionHeapPercentage)

    - #### getCriticalHeapPercentage

          public float getCriticalHeapPercentage()

    - #### setCriticalHeapPercentage

          public void setCriticalHeapPercentage(java.lang.String criticalHeapPercentage)

    - #### setRebalance

          public void setRebalance(boolean rebalance)

    - #### getRebalance

          public boolean getRebalance()